Bug 210159 - WITHOUT_RCS + etcupdate binary issue
Summary: WITHOUT_RCS + etcupdate binary issue
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: CURRENT
Hardware: amd64 Any
: --- Affects Some People
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-09 07:46 UTC by Sergey
Modified: 2017-01-07 23:04 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey 2016-06-09 07:46:19 UTC
Hello.
I have WITHOUT_RCS=YES in /etc/src.conf that removes etcupdate binary.
though there is following lines in /usr/src/usr.sbin/Makefile:

etcupdate extract -B -M "TARGET_ARCH=${TARGET_ARCH} TARGET=${TARGET}" \
    -s ${WORLDDIR} -d "${.OBJDIR}/${DISTDIR}/base/var/db/etcupdate"

Please consider disabling these lines when WITHOUT_RCS is enabled.

Regards.
Comment 1 Baptiste Daroussin freebsd_committer 2016-10-22 21:04:38 UTC
Fixed in head and stable/11
Comment 2 Anton Saietskii 2016-12-18 13:39:33 UTC
(In reply to Baptiste Daroussin from comment #1)

Can you provide exact revision #?
Comment 3 Baptiste Daroussin freebsd_committer 2017-01-07 23:04:03 UTC
oups sorry I haven't seen your question:  303784 and  305620